<?php
namespace app\video\loglic;

use app\common\loglic\Update;

class Upgrade extends Update
{
    //更新应用状态
    public function status()
    {
        \daicuo\Apply::updateStatus('video', 'enable');
        
        return true;
    }
    
    //更新应用打包
    public function pack()
    {
        if(config('common.apply_module') == 'video'){
            \daicuo\Op::write([
                'apply_name'    => '呆错短视频系统',
                'apply_module'  => 'video',
                'apply_version' => config('apply.version'),
                'apply_rely'    => '',
            ], 'common', 'config', 'system', 0, 'yes');
        }
        return true;
    }
    
    //更新应用配置
    public function config()
    {
        return true;
    }
    
    //更新路由规则
    public function route()
    {
        return true;
    }
    
    //更新语言包
    public function lang()
    {
        model('common/Lang','loglic')->unInstall('video');
        
        return true;
    }
    
    //更新应用字段
    public function field()
    {
        //db('op')->where(['op_module'=>'video','op_controll'=>'category','op_action'=>'page','op_autoload'=>'field'])->delete();
        return true;
    }
    
    //更新后台菜单
    public function menu()
    {
        model('common/Menu','loglic')->install([
            [
                'term_name'   => '菜单管理',
                'term_slug'   => 'admin/navs/index?parent=video&navs_module=video',
                'term_info'   => 'fa-sitemap',
                'term_module' => 'video',
                'term_order'  => 5,
            ],
            [
                'term_name'   => '语言扩展',
                'term_slug'   => 'admin/lang/index?parent=video&op_module=video',
                'term_info'   => 'fa-commenting',
                'term_module' => 'video',
                'term_order'  => 4,
            ],
        ],'视频');
        
        return true;
    }
    
    //更新前台菜单
    public function navs()
    {
        model('common/Navs','loglic')->unInstall('video');
        
        return true;
    }
    
    //更新栏目分类
    public function category()
    {
        return true;
    }
    
    //更新网站标签
    public function tag()
    {
        return true;
    }
}